## libtemplates-parser 11.10

=== Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

VERSION	= 11.10.1

DEBUG        = false
TP_TASKING   = Standard_Tasking
PROCESSORS   = 0
HOST	     = $(shell gcc -dumpmachine)
TARGET	     = $(shell gcc -dumpmachine)
prefix	     = $(dir $(shell which gnatls))..
DEFAULT_LIBRARY_TYPE	= static

ENABLE_STATIC = true
ENABLE_SHARED =$(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
			-Pconfig/setup/test_shared 2>/dev/null && echo "true")

ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
TP_XMLADA    = Installed
else
TP_XMLADA    = Disabled
endif

-include makefile.setup

ifeq ($(HOST), $(TARGET))
IS_CROSS	= false
GPROPTS		=
TPREFIX=$(DESTDIR)$(prefix)
else
IS_CROSS	= true
GPROPTS		= --target=$(TARGET)
TPREFIX=$(DESTDIR)$(prefix)/$(TARGET)
endif

MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
SDIR		= $(TARGET)/$(MODE)

GNAT		= gnat
GPRBUILD	= gprbuild
GPRINSTALL	= gprinstall
GPRCLEAN	= gprclean

#  Install directories

ifeq (${OS}, Windows_NT)
EXEEXT	= .exe
else
EXEEXT	=
endif

#  Compute the default library kind, and possibly the other that are to
#  be built.

ifeq ($(DEFAULT_LIBRARY_TYPE),static)
ifneq ($(ENABLE_STATIC),true)
$(error static not enabled, cannot be the default)
else
ifeq ($(ENABLE_SHARED),true)
OTHER_LIBRARY_TYPE	= relocatable
endif
endif

else
ifneq ($(ENABLE_SHARED),true)
$(error shared not enabled, cannot be the default)
else
ifeq ($(ENABLE_STATIC),true)
OTHER_LIBRARY_TYPE	= static
endif
endif
endif

ifeq ($(DEBUG), true)
PRJ_BUILD=Debug
else
PRJ_BUILD=Release
endif

ifeq ($(TP_XMLADA),)
TP_XMLADA=Disabled
endif

ALL_OPTIONS = INCLUDES="$(INCLUDES)" PRJ_BUILD="$(PRJ_BUILD)" SDIR="$(SDIR)" \
		TP_XMLADA="$(TP_XMLADA)" GNAT="$(GNAT)" \
		PRJ_BUILD="$(PRJ_BUILD)" TARGET="$(TARGET)" \
		DEFAULT_LIBRARY_TYPE="$(DEFAULT_LIBRARY_TYPE)" \
		ENABLE_SHARED="$(ENABLE_SHARED)" \
		ENABLE_STATIC="$(ENABLE_STATIC)" \
		GPRBUILD="$(GPRBUILD)" GPRCLEAN="$(GPRCLEAN)"

GPROPTS += -XPRJ_BUILD=$(PRJ_BUILD) -XTP_XMLADA=$(TP_XMLADA) \
		-XPROCESSORS=$(PROCESSORS) -XTARGET=$(TARGET) \
		-XVERSION=$(VERSION)

GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(DEFAULT_LIBRARY_TYPE)
GPR_OTHER   = -XLIBRARY_TYPE=$(OTHER_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(OTHER_LIBRARY_TYPE)

#######################################################################
#  build

build: tp_xmlada.gpr
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRBUILD) -p $(GPROPTS) $(GPR_OTHER) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptools/tools

run_regtests test: build
	$(MAKE) -C regtests $(ALL_OPTIONS) test

build-doc:
	$(MAKE) -C docs html latexpdf
	echo Templates_Parser Documentation built with success.

#######################################################################
#  setup

tp_xmlada.gpr: setup

setup:
ifeq ($(TP_XMLADA), Installed)
	cp config/tp_xmlada_installed.gpr tp_xmlada.gpr
else
	cp config/tp_xmlada_dummy.gpr tp_xmlada.gpr
endif
	echo "prefix=$(prefix)" > makefile.setup
	echo "DEFAULT_LIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE)" >> makefile.setup
	echo "ENABLE_STATIC=$(ENABLE_STATIC)" >> makefile.setup
	echo "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	echo "DEBUG=$(DEBUG)" >> makefile.setup
	echo "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	echo "TP_XMLADA=$(TP_XMLADA)" >> makefile.setup
	echo "TARGET=$(TARGET)" >> makefile.setup

#######################################################################
#  install

install-clean:
ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/templates_parser))
	-$(GPRINSTALL) $(GPROPTS) --uninstall \
		--prefix=$(TPREFIX) templates_parser
endif

install: install-clean
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--prefix=$(TPREFIX) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_OTHER) \
		--prefix=$(TPREFIX) --build-name=$(OTHER_LIBRARY_TYPE) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_DEFAULT) \
		--prefix=$(TPREFIX) --mode=usage \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--install-name=templates_parser -Ptools/tools

#######################################################################
#  clean

clean:
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptemplates_parser
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptools/tools
ifneq ($(OTHER_LIBRARY_TYPE),)
	-$(GPRCLEAN) $(GPR_OTHER) $(GPROPTS) -Ptemplates_parser
endif
	-$(MAKE) -C docs clean $(ALL_OPTIONS)
	-$(MAKE) -C regtests clean $(ALL_OPTIONS)
	rm -fr .build makefile.setup
	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr

=== docs/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

# Makefile for Sphinx documentation
#

GNATMAKE = gnat make
GNATCLEAN = gnat clean

ADBFILES  = demo.adb user1.adb user2.adb table.adb table_section.adb \
	    table_if.adb matrix.adb table_inline.adb if_inline.adb macro.adb

EXEFILES  = $(ADBFILES:.adb=)
RESFILES  = $(ADBFILES:=.res)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	rm -f *.pyc

%.adb.res: src/%.adb
	( cd build/bin; \
	./`basename $@ .adb.res` > ../samples/`basename $<.res` )

build-sample:
	mkdir -p build/obj build/bin build/samples
	$(GNATMAKE) -p -m -Pdocs $(EXEFILES)
	cp src/*.tmplt build/bin

setup: build-sample $(RESFILES)
	$(GNATCLEAN) -q -Pdocs

html: setup
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Templates_Parser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Templates_Parser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf \
		LATEXOPTS="-interaction=nonstopmode"
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== regtests/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

-include ../makefile.setup

MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
SDIR		= $(TARGET)/$(MODE)

build:
	$(GPRBUILD) -q -p -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

test:  build
	PATH=.:${PATH} ./testsuite.py --jobs=4

clean:
	-$(GPRCLEAN) -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

## libtemplates-parser 11.6

=== debian/changelog ===
libtemplates-parser (11.6-4) unstable; urgency=low

  * Linker option avoiding FTBFS on arm* because of gnat bug #687642.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 20:24:38 +0200

libtemplates-parser (11.6-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Ignore complex and unconfigurable upstream build system for most targets.
  * Autopkg tests.
  * Switch to debhelper 9.
  * Use multiarch paths, generate the system project accordingly.
  * Use dh-ada-library to simplify debian/rules.
    Lintian override: generated lib->dbg dependency reported as missing.
    When many implementation, only install the one used to build.
    -dev: depends on xmlada-dev, not the library.
  * texinfo5.patch: Closes: #707517.
    Avoid recompiling the library for the examples.
    Do not embed unused css in documentation.
    Install doc programs as examples (without execution permission).
  * Upstream changelog. Doc-base registration. Informative watch file.
  * Explicit Build-Depends-Indep: mawk | awk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Aug 2013 06:56:00 +0200

libtemplates-parser (11.6-2) unstable; urgency=low

  * Tighten build dependency on gnat-4.6 (>= 4.6.1-6).  Fixes FTBFS on
    kfreebsd-amd64, kfreebsd-i386.
  * debian/patches/disable-inlining.diff: new; work around compiler bug
    #642981 on armel.
  * debian/rules (clean): adjust to the new upstream version.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  3 Oct 2011 01:01:11 +0200

libtemplates-parser (11.6-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version 11.6
    - remove executable bit in *.ad[sb] files in the installed
      packages
  * add get-orig-source target
    - use bdf9f07b1b98db7064abab7564892a9736b2edd9 of
      com.adacore.templates_parser.debian
  * remove unused build.gpr file
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * debian/control (Architectures): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 16:48:49 +0200

libtemplates-parser (11.5-4) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.
    (*-doc): add ${misc:Depends} to Depends (lintian warning).
    (Standards-Version): update to 3.8.4 with no changes required.
  
  [Xavier Grave]
  * debian/patches/makefile-multicore.patch: new, use one compiler job
    per processor core present in the system instead of hardcoded 2.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Jun 2010 17:59:18 +0200

libtemplates-parser (11.5-3) unstable; urgency=medium

  * debian/control (Architectures):
    - temporarily disable mips due to #566234.
    - add armel.  Closes: #568444.
    - s/docs/doc/.  Closes: #568474.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:55:42 +0100

libtemplates-parser (11.5-2) unstable; urgency=low
  
  * templates_parser.gpr: new Naming package to let applications
    find templates_parser-configuration__standalone.ads.
  * Split the documentation into a new package.
  * debian/control (Build-Depends-Indep): new.
  * debian/rules: support dpkg-buildpackage -A, -B.
  * debian/patches/GPL.patch: new, the GPL also applies to the doc.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 31 Dec 2009 23:51:53 +0100
  

libtemplates-parser (11.5-1) unstable; urgency=low
  
  * New upstream version (Subversion revision 145737).
  * Set aliversion=11.5, soversion=11.5 per Debian Policy for Ada.
  * Package renamings:
    libtemplates-parser-dev   -> libtemplates-parser11.5-dev
                                 (with Conflicts: and Replaces:)
    libtemplates-parser11     -> libtemplates-parser11.5
    libtemplates-parser11-dbg -> libtemplates-parser11.5-dbg
  * Build-Depend and Depend on gnat-4.4 instead of gnat-4.3.
  * Build-Depend on libxmlada3.2-dev instead of libxmlada-dev.
  * Drop support for alpha due to http://gcc.gnu.org/PR42073.
  * debian/rules: parse the aliversion and soversion from debian/control.
  * debian/patches/GPL.patch: remove; merged into the .orig.tar.gz.
  * debian/patches/library_version.patch: adjust.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:19:20 +0100
  

libtemplates-parser (11.1-3) unstable; urgency=low

  * Tighten build-dependency on libxmlada-dev to (>= 3.0-6) to force
    a recompile.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 16:22:42 +0200

libtemplates-parser (11.1-2) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542415.
    (Depends): add ${misc:Depends} for proper support for debhelper.
    s/source:Version/binary:Version/g.
    (Standards-Version): bump to 3.8.3.
    (libtemplates_parser11-dbg): new package containing the detached
    debugging symbols.
  * debian/compat: bump to 7.
  * patches: move to debian/patches; adjust all patches to quilt -p ab.
  * debian/rules: adjust to source format 3.0 (quilt).
  * debian/clean: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 15:20:22 +0200

libtemplates-parser (11.1-1) unstable; urgency=low

  * New upstream release.
  * Change soname to libtemplates_parser.so.11, and binary package name
    to match.
  * debian/control: update Standards-Version to 2.7.3 with no changes.
    Migrate to gnat-4.3.  Migrate to texlive-{generic,fonts}-recommended
    and texlive-latex-base.  Add support for mips, mipsel and ppc64.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.  Use upstream's library
    project files to build, instead of our own.
  * debian/templates_parser.gpr: turn into a library project file.
  * patches/make.patch: new; when executing programs compiled as
    part of the doc, look for libtemplates_parser.so in the proper place.


=== debian/control ===
Source: libtemplates-parser
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat, gnat-4.6 (>= 4.6.1-6), dh-ada-library (>= 5.5),
 libxmlada4.1-dev
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
# dh-ada-library 5.5 stops linking doc dirs, installs sources read-only,
#   strips binaries other than the usual libraries.
Build-Depends-Indep: texinfo,
 mawk | awk,
 texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
# awk is used by docs/gentexifile when available.
Standards-Version: 3.9.4
Homepage: http://libre.adacore.com
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
XS-Testsuite: autopkgtest

Package: libtemplates-parser11.6-dev
Architecture: any
Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtemplates-parser-dev
Replaces: libtemplates-parser-dev
Recommends: libtemplates-parser-doc
Description: Ada library to parse files and replace variables
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the static libraries, documentation, tools and Ada
 specification files.

Package: libtemplates-parser11.6
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library to parse files and replace variables (runtime)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the runtime shared library.

Package: libtemplates-parser11.6-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada library to parse files and replace variables (debugging symbols)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the detached debugging symbols for the shared library.

Package: libtemplates-parser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada library to parse files and replace variables (documentation)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the documentation for developers using the library.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013      Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-2.

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

LDFLAGS += -l:libgnarl-4.6.so
# avoids FTBFS on arm* because of gnat bug #687642

ALIVERSION := $(shell sed --quiet -r 's/^Package: $(DEB_SOURCE)([0-9.]+)-dev$$/\1/p' debian/control)
SOVERSION := $(shell sed --quiet -r 's/^Package: $(DEB_SOURCE)([0-9.]+)$$/\1/p' debian/control)
mtnbase := base_debian.db
mtnversion := bdf9f07b1b98db7064abab7564892a9736b2edd9
branch := com.adacore.templates_parser.debian
orig_dir := $(DEB_SOURCE)_$(ALIVERSION).orig
orig_tgz := $(DEB_SOURCE)_$(ALIVERSION).orig.tar.gz

SONAME := $(subst -,_,$(DEB_SOURCE)).so.$(SOVERSION)

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

# Ignore upstream build system.
override_dh_auto_configure:
override_dh_auto_build-arch:
override_dh_auto_build-indep:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean::

######################################################################
get-orig-source:
	if [ ! -e ../$(mtnbase) ]; then \
		mtn -d../$(mtnbase) db init; \
	fi; \
	mtn -d../$(mtnbase) -k "" pull www.ada-france.org '$(branch)'; \
	cd .. && \
	mtn -d$(mtnbase) co -r$(mtnversion) -b$(branch) $(orig_dir) && \
	rm -rf $(orig_dir)/_MTN $(orig_dir)/.*ignore&& \
	tar czf $(orig_tgz) $(orig_dir) && \
	rm -r $(orig_dir)

######################################################################

# The static archive is needed to generate the docs, so for testing
# the -indep target it is convenient to have a separate subtarget.
build_static_archive:
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build.gpr -XKIND=static \
          $(foreach v,ADAFLAGS,-X$(v)="$($(v))")

override_dh_auto_build-arch: build_static_archive
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build.gpr -XKIND=dynamic \
          $(foreach v,ADAFLAGS LDFLAGS SONAME,-X$(v)="$($(v))")
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build_tools.gpr -XKIND=dynamic \
          $(foreach v,ADAFLAGS LDFLAGS SONAME,-X$(v)="$($(v))")

override_dh_auto_clean::
	rm -f $(foreach d,lib obj,$(foreach k,dynamic static,debian/build_$(d)_$(k)/*))

######################################################################

DOC_MAINS := $(shell sed -n -e "s/^procedure \(\w\+\) is$$/\L\1/gp" docs/all_sources.ada)

override_dh_auto_build-indep: build_static_archive
# This part of the upstream build system is too complicated to
# seriously consider configuring it, even with patches. I want to set
# my CFLAGS, I do not want to compile the library a third time.
	gnatchop -w docs/all_sources.ada docs
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build_docs.gpr -XKIND=static \
          $(foreach v,ADAFLAGS DOC_MAINS LDFLAGS,"-X$(v)=$($(v))")
# What remains can be patched.
	$(MAKE) -C docs

override_dh_auto_clean::
	rm -f $(addprefix docs/, $(foreach m, $(DOC_MAINS) \
            ,$(m).adb $(m).ali $(m).o $(m) $(m).adb.res $(m).adb.texi))
	rm -f $(foreach t,$(DOC_MAINS) table_block user,docs/$(t).tmplt.texi)
	rm -f $(foreach ext,ads.texi html info pdf txt,docs/templates_parser.$(ext))
	rm -f $(foreach sub,debug utils xml,docs/templates_parser-$(sub).ads.texi)
	rm -f ada.sed

######################################################################

override_dh_installchangelogs:
	dh_installchangelogs --package=libtemplates-parser-doc src/ChangeLog
	dh_installchangelogs --remaining-packages

DOC_PKG := libtemplates-parser-doc
EXAMPLES_DIR := debian/$(DOC_PKG)/usr/share/doc/$(DOC_PKG)/examples
override_dh_fixperms-arch:
	if [ -d $(EXAMPLES_DIR) ]; then \
          chmod ugo-x $(EXAMPLES_DIR)/*.tmplt; \
        fi
	dh_fixperms --all

override_dh_compress:
	dh_compress --all --exclude=examples/templates.tads

######################################################################

RUN_TESTS_TMP := $(DEB_SOURCE)-run-tests-XXXXXXXXXX
TESTS := $(addprefix test_, \
  link-with-shared \
  templatespp)
run-tests: $(TESTS)
$(TESTS): test_%:
	ADTTMP=`mktemp --tmpdir --directory $(RUN_TESTS_TMP)` && \
        ADTTMP=$$ADTTMP sh debian/tests/$* 2> $$ADTTMP/stderr; \
        status=$$?; cat $$ADTTMP/stderr; \
        if test $$status != 0; then \
          echo "Test failed: non zero exit status ($$status)."; \
        elif test -s $$ADTTMP/stderr; then \
          echo "Test failed: activity on stderr."; \
        fi; \
        rm -f -r $$ADTTMP

=== debian/tests/control ===
Tests: link-with-shared templatespp

=== debian/watch ===
# The latest templates-parser source distribution is available on
# http://libre.adacore.com/libre/download.

# The upstream tarball download system is too complicated to be
# described in a watch file.

## libtemplates-parser 11.8.2014

=== debian/changelog ===
libtemplates-parser (11.8.2014-5) unstable; urgency=medium

  * simplify rules, avoiding a circular symlink. Closes: #818416.
  * patches making more upstream flexible instead of rewriting it.
  * call dh_ada_library only during arch builds, fixing -indep builds.
  * remove libtemplates-parser-doc.links, redundant with sphinx-doc.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2016 18:12:24 +0200

libtemplates-parser (11.8.2014-4) unstable; urgency=medium

  * Freeze the clock for deterministic PDF timestamps.
    Touch generated sources for deterministic ALI files and tar headers.
  * rules: accept gnat (>= 5): versioned debian_packaging.mk
    and dh-ada-library (>= 6.5): search ali files in object directory too.
  * Standards-Version: 3.9.6 (no changes).
  * Remove XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 12:52:04 +0200

libtemplates-parser (11.8.2014-3) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 21:23:56 +0200

libtemplates-parser (11.8.2014-2) unstable; urgency=medium

  * Rebuild with libxmlada5-dev. Closes: #757622. Per Ada policy, -dev package
    is renamed 11.8.2014 -> 11.8.2015 and Replaces/Conflicts previous version.
  * Rely on dh_sphinxdoc for -doc package JavaScript dependencies.
  * Generate the version instead of always updating a patch.
  * Remove obsolete wildcard in -dbg lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 02:50:33 +0200

libtemplates-parser (11.8.2014-1) unstable; urgency=medium

  * New upstream release, build with gnat-4.9.
    Library and -dev package renamed due to Ada policy.
    Remove work-around for #687642 (fixed in gnat-4.9).
  * Documentation now builds with sphinx.
  * Standards-Version: 3.9.5 (no changes).
    Machine-readable copyright format.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 May 2014 23:44:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,39 @@
 Section: libdevel
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
- gnat, gnat-4.6 (>= 4.6.1-6), dh-ada-library (>= 5.5),
- libxmlada4.1-dev
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
+ gnat, gnat-4.9,
+# gnat-v provides /usr/share/ada/debian_packaging-v.mk
+ dh-ada-library (>= 5.5),
 # dh-ada-library 5.5 stops linking doc dirs, installs sources read-only,
-#   strips binaries other than the usual libraries.
+# strips binaries other than the usual libraries.
+# sphinx-common provides dh_sphinxdoc
+ sphinx-common,
+ libxmlada5-dev
 Build-Depends-Indep: texinfo,
- mawk | awk,
- texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
-# awk is used by docs/gentexifile when available.
-Standards-Version: 3.9.4
+ python-sphinx,
+# Called in rules for deterministic PDF timestamps.
+ faketime,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Standards-Version: 3.9.7
 Homepage: http://libre.adacore.com
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
 Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
-XS-Testsuite: autopkgtest
 
-Package: libtemplates-parser11.6-dev
+# Should start with "AdaCore_Major.AdaCore_Minor.".
+Package: libtemplates-parser11.8.2015-dev
+Replaces: libtemplates-parser11.8.2014-dev
+Conflicts: libtemplates-parser11.8.2014-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libtemplates-parser-dev
-Replaces: libtemplates-parser-dev
+# No need to Depend: libxmlada*-dev
+# because the generated project does not need to import "xmlada.gpr"
+# because XMLada is only used by a body in templates-parser.
 Recommends: libtemplates-parser-doc
 Description: Ada library to parse files and replace variables
  The main goal is to ease the development of Web servers. In CGI
@@ -37,7 +47,8 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser11.6
+# Should start with "AdaCore_Major.AdaCore_Minor.".
+Package: libtemplates-parser11.8.2014
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +64,7 @@
  .
  This package contains the runtime shared library.
 
-Package: libtemplates-parser11.6-dbg
+Package: libtemplates-parser-dbg
 Section: debug
 Priority: extra
 Architecture: any
@@ -74,7 +85,7 @@
 Package: libtemplates-parser-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada library to parse files and replace variables (documentation)
  The main goal is to ease the development of Web servers. In CGI

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

include /usr/share/dpkg/default.mk
# gnat-4.9 provides /usr/share/ada/debian_packaging.mk
# gnat-5 provides /usr/share/ada/debian_packaging-5.mk
include /usr/share/ada/debian_packaging*.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

SOVERSION := $(shell sed --quiet -r 's/^Package: $(DEB_SOURCE)([0-9.]+)$$/\1/p' debian/control)

# Some of these options are stored into makefile.setup, but not all.
MAKE_OPTS := \
  VERSION=$(SOVERSION) \
  HOST=$(DEB_HOST_GNU_TYPE) \
  TARGET=$(DEB_TARGET_GNU_TYPE) \
  prefix=/usr \
  DEFAULT_LIBRARY_TYPE=relocatable \
  ENABLE_SHARED=true \
  TP_XMLADA=Installed \
  GPRBUILD="gnatmake $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
  GPRCLEAN=gnatclean \
  DOC_FORMATS="html info latexpdf text"

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library --with sphinxdoc

# Avoid DebHelper default calls to usual Make targets.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install clean)

override_dh_auto_configure: src/templates_parser.ads.backup
 # Before any build, change the AdaCore version (README.source).
sed_script_version := \
 s/^\( \{3\}Version : constant String := "\).*\(";\)$$/\1$(DEB_VERSION_UPSTREAM)\2/
 # Three consecutive spaces would be reduced by Make.
src/templates_parser.ads.backup: %.backup:
 # No prerequisite, else Make will attempt to update.
	mv $* $@
	sed -e '$(sed_script_version)' $@ > $*
 # Ensure deterministic timestamps in ALI files.
	touch $* --date='$(DEB_DATE)'
override_dh_auto_clean::
	if test -e src/templates_parser.ads.backup; then \
	  mv src/templates_parser.ads.backup src/templates_parser.ads; \
	fi

override_dh_auto_build-arch:
	$(MAKE) $(MAKE_OPTS)

# Freeze the clock for deterministic PDF timestamps. The faketime API
# does not allow an explicit time zone, introducing an implicit
# dependency on its local value.
DEB_DATE_FAKETIME := $(shell date "+%F %T" -d "$(DEB_DATE)")
override_dh_auto_build-indep:
	faketime -f "$(DEB_DATE_FAKETIME)" \
	  $(MAKE) setup build-doc $(MAKE_OPTS)

override_dh_auto_clean::
 # Avoid complaining about non existing dirs.
	mkdir -p .build/bin .build/lib .build/obj .build/tobj
	$(MAKE) setup clean $(MAKE_OPTS)

######################################################################
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
 # There is no --subdirs option for dh_ada_library.
	mv .build/lib/*/release/relocatable/* .build/lib
	mv .build/obj/*/release/relocatable/* .build/obj
	dh_ada_library

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libtemplates-parser-doc --exclude=examples/templates.tads
	dh_compress --remaining-packages

######################################################################
# Policy specifies that get-orig-source may be run outside the source
# tree, so we rely on a temporary directory and hard-code the version.

orig_version    := 11.8.2014
orig_archive    := libtemplates-parser_$(orig_version).orig.tar.xz
orig_tmp_dir    := /tmp/libtemplates-parser_get_orig_source_tmp_dir
# Set this to your own database on the command line if you already
# have a local clone of the upstream branch.
# By default, a temporary database is populated.
orig_mtn_db     := $(orig_tmp_dir)/tmpdb
orig_server     := www.ada-france.org
orig_server_key := f8a11727e8983cf9083c08c6a2acaa27e439dd39
orig_branch     := com.adacore.templates_parser.debian
orig_revision   := t:libtemplates-parser-$(orig_version)
orig_directory  := libtemplates-parser-$(orig_version).orig

.PHONY: get-orig-source
get-orig-source:
	test ! -e $(orig_archive) # Stop if the archive exists.
	mkdir $(orig_tmp_dir) # Stop if the temp dir exists.
	@echo
	@echo The server key below should be $(orig_server_key).
	@echo
	mtn clone --db=$(orig_mtn_db) mtn://$(orig_server)?$(orig_branch) \
          --branch=$(orig_branch) --revision=$(orig_revision) \
          $(orig_tmp_dir)/$(orig_directory)
	tar -c -J -f $(orig_archive) -C $(orig_tmp_dir) $(orig_directory) \
          --exclude=_MTN --exclude=.mtn-ignore
	rm -f -r $(orig_tmp_dir)
	@echo
	@echo Created $(orig_archive) in the current directory.

=== debian/watch ===
# The latest templates-parser source distribution is available on
# http://libre.adacore.com/libre/download.

# Releases are also visible as tags in the git repository (see
# copyright).
